## ev-pixbuf-cache ev-pixbuf-cache — |

## Synopsis

                EvViewSelection;
                EvPixbufCache;
                EvPixbufCacheClass;
    EvPixbufCache* ev_pixbuf_cache_new          (GtkWidget *view,
                                                 EvDocument *document);
    void        ev_pixbuf_cache_set_page_range  (EvPixbufCache *pixbuf_cache,
                                                 gint start_page,
                                                 gint end_page,
                                                 gint rotation,
                                                 gfloat scale,
                                                 GList *selection_list);
    GdkPixbuf*  ev_pixbuf_cache_get_pixbuf      (EvPixbufCache *pixbuf_cache,
                                                 gint page);
    GList*      ev_pixbuf_cache_get_link_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);
    GList*      ev_pixbuf_cache_get_image_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);
    GdkRegion*  ev_pixbuf_cache_get_text_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);
    void        ev_pixbuf_cache_clear           (EvPixbufCache *pixbuf_cache);
    void        ev_pixbuf_cache_style_changed   (EvPixbufCache *pixbuf_cache);
    GdkPixbuf*  ev_pixbuf_cache_get_selection_pixbuf
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page,
                                                 gfloat scale,
                                                 GdkRegion **region);
    void        ev_pixbuf_cache_set_selection_list
                                                (EvPixbufCache *pixbuf_cache,
                                                 GList *selection_list);
    GList*      ev_pixbuf_cache_get_selection_list
                                                (EvPixbufCache *pixbuf_cache);

## Description

## Details

### EvViewSelection

    typedef struct {
    	int page;
    	EvRectangle rect;
    	GdkRegion *covered_region;
    } EvViewSelection;

### EvPixbufCache

    typedef struct _EvPixbufCache EvPixbufCache;

### EvPixbufCacheClass

    typedef struct _EvPixbufCacheClass EvPixbufCacheClass;

### ev_pixbuf_cache_new ()

    EvPixbufCache* ev_pixbuf_cache_new          (GtkWidget *view,
                                                 EvDocument *document);

`view` : |
`document` : |
Returns : |

### ev_pixbuf_cache_set_page_range ()

    void        ev_pixbuf_cache_set_page_range  (EvPixbufCache *pixbuf_cache,
                                                 gint start_page,
                                                 gint end_page,
                                                 gint rotation,
                                                 gfloat scale,
                                                 GList *selection_list);

`pixbuf_cache` : |
`start_page` : |
`end_page` : |
`rotation` : |
`scale` : |
`selection_list` : |

### ev_pixbuf_cache_get_pixbuf ()

    GdkPixbuf*  ev_pixbuf_cache_get_pixbuf      (EvPixbufCache *pixbuf_cache,
                                                 gint page);

`pixbuf_cache` : |
`page` : |
Returns : |

### ev_pixbuf_cache_get_link_mapping ()

    GList*      ev_pixbuf_cache_get_link_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);

`pixbuf_cache` : |
`page` : |
Returns : |

### ev_pixbuf_cache_get_image_mapping ()

    GList*      ev_pixbuf_cache_get_image_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);

`pixbuf_cache` : |
`page` : |
Returns : |

### ev_pixbuf_cache_get_text_mapping ()

    GdkRegion*  ev_pixbuf_cache_get_text_mapping
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page);

`pixbuf_cache` : |
`page` : |
Returns : |

### ev_pixbuf_cache_clear ()

    void        ev_pixbuf_cache_clear           (EvPixbufCache *pixbuf_cache);

`pixbuf_cache` : |

### ev_pixbuf_cache_style_changed ()

    void        ev_pixbuf_cache_style_changed   (EvPixbufCache *pixbuf_cache);

`pixbuf_cache` : |

### ev_pixbuf_cache_get_selection_pixbuf ()

    GdkPixbuf*  ev_pixbuf_cache_get_selection_pixbuf
                                                (EvPixbufCache *pixbuf_cache,
                                                 gint page,
                                                 gfloat scale,
                                                 GdkRegion **region);

`pixbuf_cache` : |
`page` : |
`scale` : |
`region` : |
Returns : |

### ev_pixbuf_cache_set_selection_list ()

    void        ev_pixbuf_cache_set_selection_list
                                                (EvPixbufCache *pixbuf_cache,
                                                 GList *selection_list);

`pixbuf_cache` : |
`selection_list` : |

### ev_pixbuf_cache_get_selection_list ()

    GList*      ev_pixbuf_cache_get_selection_list
                                                (EvPixbufCache *pixbuf_cache);

`pixbuf_cache` : |
Returns : |